Bug 495117 - (anaconda) failed to resolve device UUID=<foo>
(anaconda) failed to resolve device UUID=<foo>
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 15:53 EDT by Warren Togami
Modified: 2009-04-28 14:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-28 14:03:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2009-04-09 15:53:03 EDT
clumens said that I can make livecd-iso-to-disk copy everything to a USB disk necessary to do a full DVD install from the USB disk.  I aim to improve livecd-iso-to-disk to do this automatically if it detected 

* He said to copy images/install.img to the USB stick
* Copy the DVD ISO to the USB stick
* Add repo=hd:UUID=<foo>:/ to the kernel command line.
* Booting the USB stick, it will automatically mount UUID=<foo> and look for the stage2 install.img.
* Anaconda runs and fails with:

ERROR: failed to resolve device UUID=<foo>
DEBUG: failed to resolve 'UUID=<foo>'

Tested with F11 Beta i386
anaconda 11.5.0.38
Comment 1 Warren Togami 2009-04-09 16:21:57 EDT
This is possibly fixed by the fix for Bug #491781, but we can't test it until we have a DVD iso to test.
Comment 2 Jerry Vonau 2009-04-12 15:06:23 EDT
Warren, have a look at:

http://dev.laptop.org/git/projects/xs-livecd/tree/util/mkusbinstall

I just have to update the boot line to have stage2= and repo= in place of method=
for the changes in F11's anaconda.
Comment 3 Warren Togami 2009-04-27 19:37:49 EDT
Bad news, tested F11 Preview DVD iso with anaconda-11.5.0.47-1.  It fails with the following syntax:

append initrd=initrd.img repo=hd:UUID=71e3d41f-4f6d-4f20-9952-6fb8a6176df4:/
append initrd=initrd.img repo=hd:/dev/sdb1:/

More "failed to resolve" after anaconda graphical mode had started, around the 2nd or 3rd screen.
Comment 4 David Lehman 2009-04-28 12:59:37 EDT
Please attach /tmp/anaconda.log, /tmp/storage.log to this bug report.
Comment 5 Warren Togami 2009-04-28 14:03:35 EDT
I retract that, it was my mistake.  My script failed to update the images/ directory.  It was using the F11 Beta install.img.

Note You need to log in before you can comment on or make changes to this bug.